INTERFACE
SUBROUTINE ACDRAC ( KIDIA,KFDIA,KLON,KTDIA,KLEV,&
 & PAPRS,PNBVNO,PRDELP,PU,PV,&
 & PFPLCL,PFPLCN,PSCCH,PBCCH,&
 & PSTRCU,PSTRCV,&
 & CDLOCK) 
USE PARKIND1 ,ONLY : JPIM ,JPRB
INTEGER(KIND=JPIM),INTENT(IN) :: KLON
INTEGER(KIND=JPIM),INTENT(IN) :: KLEV
INTEGER(KIND=JPIM),INTENT(IN) :: KIDIA
INTEGER(KIND=JPIM),INTENT(IN) :: KFDIA
INTEGER(KIND=JPIM),INTENT(IN) :: KTDIA
REAL(KIND=JPRB) ,INTENT(IN) :: PAPRS(KLON,0:KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PNBVNO(KLON,0:KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PRDELP(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PU(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PV(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PFPLCL(KLON,0:KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PFPLCN(KLON,0:KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PSCCH(KLON)
REAL(KIND=JPRB) ,INTENT(IN) :: PBCCH(KLON)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PSTRCU(KLON,0:KLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PSTRCV(KLON,0:KLEV)
CHARACTER(LEN=7) ,INTENT(IN) :: CDLOCK
END SUBROUTINE ACDRAC
END INTERFACE
